Summary:	Clustered TDB
Name:		ctdb
Version:	2.5.3
%define subrel 1
Release:	%mkrel 3
License:	GPLv3
Group:		System/Cluster
URL:		http://ctdb.samba.org/
Source0:	https://ftp.samba.org/pub/ctdb/%{name}-%{version}.tar.gz

Patch0: use_var_lib.patch
# Patch for https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=813406 and
# https://bugs.mageia.org/show_bug.cgi?id=18758 ( MGA#18758 ) taken from:
# https://git.samba.org/?p=samba.git;a=commitdiff;h=9f8395cb7d49b63a82f75bf504f5f83920102b29
Patch1: samba.git-9f8395cb7d49b63a82f75bf504f5f83920102b29.patch

BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
Requires(pre):	mktemp psmisc coreutils sed 
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires:	tdb-utils
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
BuildRequires: autoconf 
BuildRequires: net-tools 
BuildRequires: popt-devel
# For make check
BuildRequires: procps 
BuildRequires: iproute2
BuildRequires: talloc-devel >= 2.0.8.
BuildRequires: tdb-devel >= 1.2.11
BuildRequires: tevent-devel >= 0.9.18

%description
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.

%package devel
Group: Development/Other
Summary: CTDB clustered database development package
Requires: ctdb = %{version}-%{release}
%description devel
Libraries, include files, etc you can use to develop CTDB applications.
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.


%prep
%setup -q
%patch0 -p1 


## always run autogen.sh
./autogen.sh
export CFLAGS="%optflags $EXTRA -O0 -D_GNU_SOURCE -DCTDB_VERS=\"%{version}-%{release}\""
%configure2_5x

%build
make showflags
make

%install

# Create the target build directory hierarchy
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/sudoers.d
mkdir -p %{buildroot}%{_docdir}/ctdb

%makeinstall_std

install -m644 config/ctdb.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/ctdb

mkdir -p %{buildroot}%{_unitdir}
install -m 755 config/ctdb.service %{buildroot}%{_unitdir}

# create /run/ctdbd
mkdir -p %{buildroot}%{_tmpfilesdir}
echo "d /run/ctdbd  755 root root" >> %{buildroot}%{_tmpfilesdir}/%{name}.conf

install -d -m 0755 %{buildroot}%{_localstatedir}/lib/ctdb/


# Remove "*.old" files
find %{buildroot} -name "*.old" -exec rm -f {} \;

cp -r COPYING web %{buildroot}%{_docdir}/ctdb
rm -f %{buildroot}%{_datadir}/doc/ctdb-tests/README

%post
%_tmpfilescreate %{name}
%_post_service %{name} 


%preun
%_preun_service %{name}

# Files section

%files

%config(noreplace)  %{_sysconfdir}/sysconfig/ctdb 
%{_sysconfdir}/ctdb/notify.sh
%{_sysconfdir}/ctdb/debug-hung-script.sh
%{_sysconfdir}/ctdb/ctdb-crash-cleanup.sh
%{_sysconfdir}/ctdb/gcore_trace.sh
%{_sysconfdir}/ctdb/functions
%{_sysconfdir}/ctdb/debug_locks.sh
%dir %attr(750,root,root) %{_localstatedir}/lib/ctdb/
%{_tmpfilesdir}/%{name}.conf

%{_unitdir}/ctdb.service


%{_docdir}/ctdb
%dir %{_sysconfdir}/ctdb
%{_sysconfdir}/ctdb/statd-callout
%dir %{_sysconfdir}/ctdb/nfs-rpc-checks.d
%{_sysconfdir}/ctdb/nfs-rpc-checks.d/10.statd.check
%{_sysconfdir}/ctdb/nfs-rpc-checks.d/20.nfsd.check
%{_sysconfdir}/ctdb/nfs-rpc-checks.d/30.lockd.check
%{_sysconfdir}/ctdb/nfs-rpc-checks.d/40.mountd.check
%{_sysconfdir}/ctdb/nfs-rpc-checks.d/50.rquotad.check
%{_sysconfdir}/sudoers.d/ctdb
%{_sysconfdir}/ctdb/events.d/
%{_sbindir}/ctdbd
%{_sbindir}/ctdbd_wrapper
%{_bindir}/ctdb
%{_bindir}/smnotify
%{_bindir}/ping_pong
%{_bindir}/ltdbtool
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode
%{_bindir}/ctdb_lock_helper
%{_bindir}/ctdb_event_helper

%{_mandir}/man1/ctdb.1*
%{_mandir}/man1/ctdbd.1*
%{_mandir}/man1/onnode.1*
%{_mandir}/man1/ltdbtool.1*
%{_mandir}/man1/ping_pong.1*
%{_mandir}/man1/ctdbd_wrapper.1*
%{_mandir}/man5/ctdbd.conf.5*
%{_mandir}/man7/ctdb.7*
%{_mandir}/man7/ctdb-tunables.7*


%files devel
%{_includedir}/ctdb.h
%{_includedir}/ctdb_client.h
%{_includedir}/ctdb_protocol.h
%{_includedir}/ctdb_private.h
%{_includedir}/ctdb_typesafe_cb.h
%{_libdir}/pkgconfig/ctdb.pc


%changelog
* Fri Jul 15 2016 shlomif <shlomif> 2.5.3-3.1.mga5
+ Revision: 1042168
- Apply patch for MGA#18758: ctdb new regression.

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3-3.mga5
+ Revision: 739676
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3-2.mga5
+ Revision: 678609
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 rwobben <rwobben> 2.5.3-1.mga5
+ Revision: 634379
- Update to 2.5.3 and fix CVE-2013-4159 (mga#13455)
- sync with fedora

* Fri Oct 18 2013 umeabot <umeabot> 1.2.46-4.mga4
+ Revision: 503645
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.46-3.mga3
+ Revision: 348387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 fwang <fwang> 1.2.46-2.mga3
+ Revision: 338023
- try fix build

* Mon Aug 06 2012 sander85 <sander85> 1.2.46-1.mga3
+ Revision: 279323
- New version: 1.2.46.
- Sync spec with Fedora.
- Add systemd support from Fedora.
- Drop SysVinit support.

* Fri Jan 13 2012 buchan <buchan> 1.0.114.4-1.mga2
+ Revision: 195630
- New version 1.0.114.4 (tarball created from git, as no upstream source release)
- sync with Mandriva

* Thu Jan 13 2011 dmorgan <dmorgan> 1.0.114-2.mga1
+ Revision: 8980
- imported package ctdb

